unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    StringGrid1: TStringGrid;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  StringGrid1.ColCount:=2;
  StringGrid1.RowCount:=4;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  StringGrid1.Color:=clYellow;
  StringGrid1.Font.Size:=14;
  StringGrid1.Cells[1,1]:='Ala'; //sprawdzenie czcionki
  StringGrid1.DefaultColWidth:=70;
  StringGrid1.DefaultRowHeight:=30;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   StringGrid1.ColWidths[1]:=40;  //numeracja kolumn od zera
   StringGrid1.RowHeights[0]:=30; //numeracja wierszy od zera
end;

end.
